Api Client
2 endpoints
GET
/api-clients
List all api clients
List all existing api clients. Admin audience is required.
Parameters
page
Page number of the records list
limit
Max number of records by page. limit=0 to return all records
sort
Sort the response PARAM or -PARAM
Responses
200
404
Not found
GET https://api.qa.onyze.pro/v1/api-clients
Response 200
[
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"name": "mobile app",
"description": "The mobile app apiclient",
"secret": "A strong password",
"audience": "general",
"accessTokenExpiresIn": 0,
"refreshTokenExpiresIn": 0
}
]
GET
/api-clients/{apiClient}
Find an api client by id
Find an existing api client. Admin audience is required.
Parameters
apiClient required
id parameter must be included in the URI
Responses
200
404
Not found
GET https://api.qa.onyze.pro/v1/api-clients/{apiClient}
Response 200
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"name": "mobile app",
"description": "The mobile app apiclient",
"secret": "A strong password",
"audience": "general",
"accessTokenExpiresIn": 0,
"refreshTokenExpiresIn": 0
}